// AGS Harbour Pack by Agent_Smith
// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7
#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class AGS_harbour
	{
		units[] = {
			ags_seaport, ags_blok100,
			ags_blok100k,ags_blok100e,
			ags_blok100ds,ags_blok100eds,
			ags_crate, ags_crates1, ags_crates2,
			ags_blok200, ags_blok300,
			ags_pier_a1,ags_crane1,
			poslight_red,poslight_green
			};
		weapons[] = {};
		requiredVersion = 1.85;
	};

};

class CfgSounds
{
	class empty
	{
		name="empty";
		sound[]={"",0.000000,1.000000};
		titles[]={};
	};
}

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};
	class Static: Land {};
	class Building: Static {};
	class NonStrategic: Building {};
	class House: NonStrategic {};
	class ViewTower2:House {};
	class ags_mod:ViewTower2
	{
		scope=private;
		armor=100000;
		vehicleClass="AGS Objects";
		side=TCivilian;
		cost=600;
		accuracy=1000;
	}
	class ags_seaport:ags_mod
	{
		scope=private;
		mapSize=100;
		displayName="Harbour Complex";
		model="\ags_port\seaport.p3d";
	};
	class ags_crate:ags_mod
	{
		scope=public;
		mapSize=5;
		displayName="Harbour Crate";
		model="\ags_port\crate.p3d";
	};
	class ags_crate_o:ags_mod
	{
		scope=public;
		mapSize=5;
		displayName="Harbour Crate (Open)";
		model="\ags_port\crate_open.p3d";
	};
	class ags_crates1:ags_mod
	{
		scope=public;
		mapSize=20;
		displayName="Harbour Crates Pile 1";
		model="\ags_port\crates1.p3d";
	};
	class ags_crates2:ags_mod
	{
		scope=public;
		mapSize=20;
		displayName="Harbour Crates Pile 2";
		model="\ags_port\crates2.p3d";
	};
	class ags_blok100:ags_mod
	{
		scope=public;
		mapSize=50;
		displayName="Harbour Pier 1";
		model="\ags_port\blok100.p3d";
	};
	class ags_blok100e:ags_mod
	{
		scope=public;
		mapSize=50;
		displayName="Harbour Pier 2";
		model="\ags_port\blok100_e.p3d";
	};
	class ags_blok100ds:ags_mod
	{
		scope=public;
		mapSize=50;
		displayName="Harbour Pier 3";
		model="\ags_port\blok100_ds.p3d";
	};
	class ags_blok100eds:ags_mod
	{
		scope=public;
		mapSize=50;
		displayName="Harbour Pier 4";
		model="\ags_port\blok100_eds.p3d";
	};
	class ags_pier_a1:ags_mod
	{
		scope=public;
		mapSize=30;
		displayName="Harbour Pier 5";
		model="\ags_port\pier_a1.p3d";
	};
	class ags_blok100k:ags_mod
	{
		scope=public;
		mapSize=50;
		displayName="Harbour Concrete Block";
		model="\ags_port\blok100_k.p3d";
	};

	class ags_blok200:ags_mod
	{
		scope=public;
		mapSize=50;
		displayName="Harbour Pier Helipad";
		model="\ags_port\blok2.p3d";
	};
	class ags_blok300:ags_mod
	{
		scope=public;
		mapSize=50;
		displayName="Harbour Pier Landing Bay";
		model="\ags_port\blok3.p3d";
	};

	class ags_crane1:ags_mod
	{
		scope=public;
		mapSize=20;
		displayName="Harbour Crane 1";
		model="\ags_port\crane1.p3d";
	};

	// swiatla pozycyjne
	class Strategic : Building {};
	class Target : Strategic {};
	class poslight_red: Target
	{
		scope=public;
		simulation="fire";
		sound="empty";
		VehicleClass="AGS Objects";
		displayName="Harbour Position Light (Red)";
		model="\ags_port\signal_red.p3d";

		class smoke {
			interval=0;
			timetolive=0;
			cloudletDuration=10;
			cloudletAnimPeriod=0;
			cloudletSize=0;
			cloudletAlpha=0;
			cloudletGrowUp=0;
			cloudletFadeIn=0;
			cloudletFadeOut=0;
			cloudletAccY=0;
			cloudletMinYSpeed=0;
			cloudletMaxYSpeed=0;
			cloudletShape=koulesvetlo;
			cl_basic=0;
			cloudletColor[]={0,0,0,0};
			initT=0;
			deltaT=0;
			maxT=0;
			class table{};
			density=0;
			size=0;
			in=0;
			out=0;
			initYSpeed=0;
		}	
		
		class Light
		{
			Shape="koulesvetlo";
			color[] = {1.0, 0.2, 0.2, 1.0};
			ambient[] = {1.0, 0.2, 0.2, 1.0};
			position = "light";

			size = 0.15;
			brightness = 0.2;
		};	
		
	};
	class poslight_green: poslight_red
	{
		displayName="Harbour Position Light (Green)";
		model="\ags_port\signal_green.p3d";
		class Light
		{
			Shape="koulesvetlo";
			color[] = {0.0, 1.0, 0.0, 1.0};
			ambient[] = {0.0, 1.0, 0.0, 1.0};
			position = "light";

			size = 0.15;
			brightness = 0.2;
		};	
		
	};
};

	